- [HTTP request](https://docs.cloud.google.com/secure-source-manager/docs/reference/rest/v1/projects.locations.repositories/getIamPolicy#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/secure-source-manager/docs/reference/rest/v1/projects.locations.repositories/getIamPolicy#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/secure-source-manager/docs/reference/rest/v1/projects.locations.repositories/getIamPolicy#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/secure-source-manager/docs/reference/rest/v1/projects.locations.repositories/getIamPolicy#body.request_body)
- [Response body](https://docs.cloud.google.com/secure-source-manager/docs/reference/rest/v1/projects.locations.repositories/getIamPolicy#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/secure-source-manager/docs/reference/rest/v1/projects.locations.repositories/getIamPolicy#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/secure-source-manager/docs/reference/rest/v1/projects.locations.repositories/getIamPolicy#body.aspect_1)

Get IAM policy for a repository.

### HTTP request

Choose an endpoint:
asia-east1 asia-northeast1 asia-northeast3 australia-southeast1 europe-west2 europe-west4 me-central2 me-west1 northamerica-northeast1 us-central1 us-east1   
`GET https://securesourcemanager.asia-east1.rep.googleapis.com/v1/{resource=projects/*/locations/*/repositories/*}:getIamPolicy`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `resource` | `string` REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field. |

### Query parameters

| Parameters ||
|---|---|
| `options` | ``object (`https://docs.cloud.google.com/secure-source-manager/docs/reference/rest/v1/GetPolicyOptions`)`` OPTIONAL: A `GetPolicyOptions` object for specifying options to `instances.getIamPolicy`. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/secure-source-manager/docs/reference/rest/v1/Policy`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/securesourcemanager.read-write`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `resource` resource:

- `securesourcemanager.repositories.getIamPolicy`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).